Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor .NET
  UserParameter anlegen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   UserParameter anlegen (478 mal gelesen)
CAD Kalle
Mitglied
Maschinenbauingenieur


Sehen Sie sich das Profil von CAD Kalle an!   Senden Sie eine Private Message an CAD Kalle  Schreiben Sie einen Gästebucheintrag für CAD Kalle

Beiträge: 53
Registriert: 29.07.2017

Intel Core I5, AMD Radeon HD 6800 32GB Ram, Windows 10 64 bit, Inventor 2017

erstellt am: 05. Dez. 2017 20:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen

Ich habe ein Problem damit UserParameter im PartDocument anzulegen

Folgendes habe ich breits hinbekommen ich greife auf zwei Benutzerproperties zu.

Und möchte dann drei UserParameter erstellen (G_W; G_H, B_L)
Aber ich bekomme bei der Zuweisung

Dim oParameters As Parameters
oParameters = oInvApp.ActiveDocument.componetenDefinition schon ein Problem denn ComponentenDefinition ist nicht vorhanden.

kann mir jemand von euch sagen was ich falsch machte?

Code:

Imports Inventor
Imports System.Activator
Imports System.Windows.Forms

Public Class Form1

    Public oInvApp As Inventor.Application = Nothing
    Dim oquitInventor As Boolean = False
    Dim oDoc As Document

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Me.Load

        Dim oParameters As Parameters
        oParameters = oInvApp.ActiveDocument.co
        oInvApp.SilentOperation = True

        Try
            oInvApp = System.Runtime.InteropServices.Marshal.GetActiveObject("Inventor.Application")
        Catch ex As Exception
        End Try

        If oInvApp Is Nothing Then

            Dim inventorAppType As Type = System.Type.GetTypeFromProgID("Inventor.Application")
            oInvApp = CreateInstance(inventorAppType)

            oquitInventor = True

        End If

        'gehe zum Dokument
        oDoc = oInvApp.ActiveDocument

        If oInvApp.Documents.Count = 0 Then
            MsgBox("Kein Dokument geöffnet!")
            Me.Close()
            Exit Sub
        End If

        If oInvApp.Documents.Count > 0 Then
            If oInvApp.ActiveDocument.DocumentType = DocumentTypeEnum.kAssemblyDocumentObject Then
                MsgBox("Falsches Dokument: Es muß ein Teile oder Part-Dokument geöffnet sein!")
                Me.Close()
                Exit Sub
            End If
        End If

        ' Gehe zum benutzerdefinierte (custom) Propertie
        Dim invCustomPropertySet As PropertySet
        invCustomPropertySet = oDoc.PropertySets.Item("Inventor User Defined Properties")
        Dim oProp As [Property]

        For Each oProp In invCustomPropertySet
            If oProp.Name = "ROHMATERIAL" Then
                Me.txtRohmat.Text = oProp.Value
            ElseIf oProp.Name = "L1" Then
                Me.txtL1.Text = oProp.Value
            End If
        Next

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD Kalle
Mitglied
Maschinenbauingenieur


Sehen Sie sich das Profil von CAD Kalle an!   Senden Sie eine Private Message an CAD Kalle  Schreiben Sie einen Gästebucheintrag für CAD Kalle

Beiträge: 53
Registriert: 29.07.2017

Intel Core I5, AMD Radeon HD 6800 32GB Ram, Windows 10 64 bit, Inventor 2017

erstellt am: 06. Dez. 2017 20:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hat sich erledigt

habs raus gefunden!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz